For Developers

List Child Syncs

GET https://ed.link/api/v2/teams/:team_id/sources/:source_id/syncs/:sync_id/children

Returns any child or partitioned sync runs spawned as part of a distributed sync process.

Permissions

Requires the syncs.read system permission.

Parameters

ParameterTypeRequiredDescription
:team_idUUIDYesThe ID of the team.
:source_idUUIDYesThe ID of the source.
:sync_idUUIDYesThe ID of the parent sync.

Sample Request

const response = await axios.get(
    `https://ed.link/api/v2/teams/${team_id}/sources/${source_id}/syncs/${sync_id}/children`,
    {
        headers: {
            authorization: `Bearer ${user_session_token}`
        }
    }
);

Sample Response

{
    "$data": []
}